# Configuration

### How to create a custom Collecion

{% hint style="success" %}
You can create an unlimited number of levels
{% endhint %}

First you need this base, we are creating a OBSIDIAN.yml to use as example

```yaml
Material: OBSIDIAN
Type: MINING
DisplayItem:
  DisplayName: '&5OBSIDIAN &8| &7Mining Collection &f(Level %level%)'
  Lore:
  - ''
  - '&7Mine &5OBSIDIAN &7blocks to show your love for the nether'
  - '&8• &6⛏ Mined: &e%collectionCount%'
  - '&8• &a🆙 Next Level: %percentBar%'
UndiscoveredItem:
  DisplayName: '&5⛏ OBSIDIAN &8| &cMining Collection'
  Lore:
  - ''
  - '&7Search &5OBSIDIAN &7blocks to start your adventure'
Levels:
#some levels here
```

Then with this base you can add your custom levels

```yaml
  Level_1:
    Actions: 60
    LevelUpExecuteCommands:
    - say %player% just leveled up
    LevelPanelItem:
      DisplayName: '&eCollection Level 1'
      Lore:
      - ''
      - '&7Mine &5OBSIDIAN &7blocks to show your love for the nether'
      - '&8• &6⛏ Mined: &e%collectionCount%'
      - '&8• &a🆙 Next Level: %percentBar%'
      - '&b&lREWARDS:'
      - '&e➤ &21 Emerald'
    Rewards:
      Commands:
      - minecraft:give %player% emerald 1
      Messages:
      - '&21 Emerald'

```

The final version should look like this, in this example we are giving emeralds for each collection level

```yaml
Material: OBSIDIAN
Type: MINING
DisplayItem:
  DisplayName: '&5OBSIDIAN &8| &7Mining Collection &f(Level %level%)'
  Lore:
  - ''
  - '&7Mine &5OBSIDIAN &7blocks to show your love for the nether'
  - '&8• &6⛏ Mined: &e%collectionCount%'
  - '&8• &a🆙 Next Level: %percentBar%'
UndiscoveredItem:
  DisplayName: '&5⛏ OBSIDIAN &8| &cMining Collection'
  Lore:
  - ''
  - '&7Search &5OBSIDIAN &7blocks to start your adventure'
Levels:
  Level_1:
    Actions: 60
    LevelUpExecuteCommands:
    - say %player% just leveled up
    LevelPanelItem:
      DisplayName: '&eCollection Level 1'
      Lore:
      - ''
      - '&7Mine &5OBSIDIAN &7blocks to show your love for the nether'
      - '&8• &6⛏ Mined: &e%collectionCount%'
      - '&8• &a🆙 Next Level: %percentBar%'
      - '&b&lREWARDS:'
      - '&e➤ &21 Emerald'
    Rewards:
      Commands:
      - minecraft:give %player% emerald 1
      Messages:
      - '&21 Emerald'
  Level_2:
    Actions: 80
    LevelUpExecuteCommands:
    - say %player% just leveled up
    LevelPanelItem:
      DisplayName: '&eCollection Level 2'
      Lore:
      - ''
      - '&7Mine &5OBSIDIAN &7blocks to show your love for the nether'
      - '&8• &6⛏ Mined: &e%collectionCount%'
      - '&8• &a🆙 Next Level: %percentBar%'
      - '&b&lREWARDS:'
      - '&e➤ &22 Emerald'
    Rewards:
      Commands:
      - minecraft:give %player% emerald 2
      Messages:
      - '&22 Emerald'
  Level_3:
    Actions: 100
    LevelUpExecuteCommands:
    - say %player% just leveled up
    LevelPanelItem:
      DisplayName: '&eCollection Level 3'
      Lore:
      - ''
      - '&7Mine &5OBSIDIAN &7blocks to show your love for the nether'
      - '&8• &6⛏ Mined: &e%collectionCount%'
      - '&8• &a🆙 Next Level: %percentBar%'
      - '&b&lREWARDS:'
      - '&e➤ &23 Emerald'
    Rewards:
      Commands:
      - minecraft:give %player% emerald 3
      Messages:
      - '&23 Emerald'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sarry20.com/products/collections/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
